"""add Iptrunk ISIS modify workflow.

Revision ID: 7694b98571f8
Revises: 84d0ad6e7294
Create Date: 2023-06-21 08:36:42.824952

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = '7694b98571f8'
down_revision = '84d0ad6e7294'
branch_labels = None
depends_on = None


from orchestrator.migrations.helpers import create_workflow, delete_workflow

new_workflows = [
    {
        "name": "modify_isis_metric",
        "target": "MODIFY",
        "description": "Modify IP trunk",
        "product_type": "Iptrunk"
    }
]


def upgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        create_workflow(conn, workflow)


def downgrade() -> None:
    conn = op.get_bind()
    for workflow in new_workflows:
        delete_workflow(conn, workflow["name"])
